Package org.eclipse.team.core

## Interface IIgnoreInfo

    public interface IIgnoreInfo

An ignore info specifies both the pattern and the enabled state of a globally ignored pattern.

Since:
  2.0
Restriction:
  This interface is not intended to be implemented by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `getEnabled()` Return whether or not this ignore info is enabled.
`String` `getPattern()` Return the string specifying the pattern of this ignore.

### Method Detail

#### getPattern

    String getPattern()

Return the string specifying the pattern of this ignore. The string may include the wildcard characters '*' and '?'. If you wish to include either of these characters verbatim (i.e. you do not wish them to expand to wildcards), you must escape them with a backslash '\'.

If you are using string literals in Java to represent the patterns, don't forget escape characters are represented by "\\".

Returns:
  the pattern represented by this ignore info

#### getEnabled

    boolean getEnabled()

Return whether or not this ignore info is enabled. A disabled ignore info remains in the global ignore list, but no attempt is made to match with it to determine resource ignore state.

Returns:
  whether the ignore info is enabled